Index: sasmodels/models/mass_surface_fractal.c
===================================================================
--- sasmodels/models/mass_surface_fractal.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/mass_surface_fractal.c	(revision 30fbe2eda4d6f97acc840bd5e605de3829caf3c7)
@@ -5,5 +5,5 @@
           double fractal_dim_surf,
           double rg_cluster,
-          double primary_rg);
+          double rg_primary);
 
 static double _mass_surface_fractal_kernel(double q,
@@ -11,5 +11,5 @@
           double fractal_dim_surf,
           double rg_cluster,
-          double primary_rg)
+          double rg_primary)
 {
      //computation
@@ -19,5 +19,5 @@
 
     double rc_norm = rg_cluster * rg_cluster / (3.0 * fractal_dim_mass);
-    double rp_norm = primary_rg * primary_rg / (3.0 * tot_dim);
+    double rp_norm = rg_primary * rg_primary / (3.0 * tot_dim);
 
     //x for P
@@ -44,5 +44,5 @@
           double fractal_dim_surf,
           double rg_cluster,
-          double primary_rg)
+          double rg_primary)
 {
     return _mass_surface_fractal_kernel(q,
@@ -50,4 +50,4 @@
             fractal_dim_surf,
             rg_cluster,
-            primary_rg);
+            rg_primary);
 }
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/mass_surface_fractal.py	(revision 30fbe2eda4d6f97acc840bd5e605de3829caf3c7)
@@ -69,5 +69,5 @@
         fractal_dim_surf  =  Ds
         rg_cluster  =  Rg
-        primary_rg    =  rg
+        rg_primary    =  rg
         background   =  background
         Ref: Schmidt, J Appl Cryst, eq(19), (1991), 24, 414-435
@@ -85,5 +85,5 @@
               ["rg_cluster", "Ang",   86.7, [0.0, inf], "",
                "Cluster radius of gyration"],
-              ["primary_rg", "Ang", 4000.,  [0.0, inf], "",
+              ["rg_primary", "Ang", 4000.,  [0.0, inf], "",
                "Primary particle radius of gyration"],
              ]
@@ -96,5 +96,5 @@
             fractal_dim_surf=2.3,
             rg_cluster=86.7,
-            primary_rg=4000.0)
+            rg_primary=4000.0)
 
 tests = [
@@ -104,5 +104,5 @@
       'fractal_dim_surf':   2.3,
       'rg_cluster':   86.7,
-      'primary_rg': 4000.0,
+      'rg_primary': 4000.0,
       'background':    0.0,
      }, 0.05, 1.77537e-05],
@@ -112,5 +112,5 @@
       'fractal_dim_surf':   1.0,
       'rg_cluster':   90.0,
-      'primary_rg': 4000.0,
+      'rg_primary': 4000.0,
      }, 0.001, 0.18562699016],
 
@@ -118,5 +118,5 @@
       'fractal_dim_surf':   1.0,
       'rg_cluster':   90.0,
-      'primary_rg': 2000.0,
+      'rg_primary': 2000.0,
       'background':    0.8,
      }, 0.001, 1.16539753641],
@@ -125,5 +125,5 @@
       'fractal_dim_surf':   1.0,
       'rg_cluster':   90.0,
-      'primary_rg': 1000.0,
+      'rg_primary': 1000.0,
       'scale':        10.0,
       'background':    0.0,
Index: sasmodels/models/pringle.c
===================================================================
--- sasmodels/models/pringle.c	(revision 58c3367e0f0dabac11d5ce9ce76203d9fa5298e9)
+++ sasmodels/models/pringle.c	(revision 30fbe2eda4d6f97acc840bd5e605de3829caf3c7)
@@ -6,5 +6,5 @@
           double alpha,
           double beta,
-          double sld_pringle,
+          double sld,
           double sld_solvent);
 
@@ -110,9 +110,9 @@
     double alpha,
     double beta,
-    double sld_pringle,
+    double sld,
     double sld_solvent)
 {
     double form = _integrate_psi(q, radius, thickness, alpha, beta);
-    double contrast = sld_pringle - sld_solvent;
+    double contrast = sld - sld_solvent;
     double volume = M_PI*radius*radius*thickness;
     return 1.0e-4*form * square(contrast * volume);
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision 5fd684d4d51ab16d037f10d8b3d0751300f890f0)
+++ sasmodels/models/pringle.py	(revision 30fbe2eda4d6f97acc840bd5e605de3829caf3c7)
@@ -68,5 +68,5 @@
     ["alpha",       "",            0.001,  [-inf, inf], "volume", "Curvature parameter alpha"],
     ["beta",        "",            0.02,   [-inf, inf], "volume", "Curvature paramter beta"],
-    ["sld_pringle", "1e-6/Ang^2",  1.0,    [-inf, inf], "sld", "Pringle sld"],
+    ["sld", "1e-6/Ang^2",  1.0,    [-inf, inf], "sld", "Pringle sld"],
     ["sld_solvent", "1e-6/Ang^2",  6.3,    [-inf, inf], "sld", "Solvent sld"]
     ]
@@ -91,5 +91,5 @@
             alpha=0.001,
             beta=0.02,
-            sld_pringle=1.0,
+            sld=1.0,
             sld_solvent=6.35)
 
@@ -100,5 +100,5 @@
       'alpha': 0.001,
       'beta': 0.02,
-      'sld_pringle': 1.0,
+      'sld': 1.0,
       'sld_solvent': 6.3,
       'background': 0.001,
@@ -110,5 +110,5 @@
       'alpha': 0.001,
       'beta': 0.02,
-      'sld_pringle': 1.0,
+      'sld': 1.0,
       'sld_solvent': 6.3,
       'background': 0.001,
@@ -120,5 +120,5 @@
       'alpha': 0.001,
       'beta': 0.02,
-      'sld_pringle': 1.0,
+      'sld': 1.0,
       'sld_solvent': 6.3,
       'background': 0.001,
